/**
 * Render
 */
import type { RenderContentArgs, RenderItemArgs, RenderItemReturn, RenderArgs, RenderReturn } from './renderTypes';
/**
 * Function - recurse and output nested content
 *
 * @param {import('./RenderTypes').RenderContentArgs} args
 * @return {void}
 */
declare const renderContent: (args: RenderContentArgs) => Promise<void>;
/**
 * Function - output single post or page
 *
 * @param {import('./RenderTypes').RenderItemArgs} args
 * @return {import('./RenderTypes').RenderItemReturn}
 */
declare const renderItem: (args: RenderItemArgs) => Promise<RenderItemReturn>;
/**
 * Function - loop through all content types to output pages and posts
 *
 * @param {import('./RenderTypes').RenderArgs} args
 * @return {Promise<import('./RenderTypes').RenderReturn[]|import('./RenderTypes').RenderReturn>}
 */
declare const render: (args: RenderArgs) => Promise<RenderReturn[] | RenderReturn>;
export { render, renderItem, renderContent };
